Bug 221783 - [PATCH]devel/gitg: update from 3.24.0 to 3.26.0
Summary: [PATCH]devel/gitg: update from 3.24.0 to 3.26.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: needs-qa, patch-ready
Depends on: 221793
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-25 00:51 UTC by rozhuk.im
Modified: 2018-01-22 09:15 UTC (History)
5 users (show)

See Also:


Attachments
up to 3.26.0 (936 bytes, patch)
2017-08-25 00:51 UTC, rozhuk.im
no flags Details | Diff
Up-to-date update to 3.26.0 (1.34 KB, patch)
2017-12-13 08:15 UTC, Romain Tartière
no flags Details | Diff
An updated patch to 3.26.0 (diff against r459165) (1.67 KB, patch)
2018-01-16 12:10 UTC, Hiroki Tagato
no flags Details | Diff
A poudriere testport log (releng/11.1 amd64) (665.07 KB, text/x-log)
2018-01-16 12:15 UTC, Hiroki Tagato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2017-08-25 00:51:33 UTC
Created attachment 185736 [details]
up to 3.26.0
Comment 1 rozhuk.im 2017-09-07 12:24:40 UTC
ping
Comment 2 Koop Mast freebsd_committer 2017-09-15 13:37:27 UTC
This is not that easy, libgit2, libgit2-glib and all other libgit2 users need to be updated and checked.
Comment 3 Romain Tartière freebsd_committer 2017-12-13 08:12:37 UTC
Hi Koop,

gitg-3.24 cannot be built currently:
https://packages.blogreen.org/data/11_1_RELEASE_amd64-default/2017-12-13_08h42m47s/logs/errors/gitg-3.24.0_1.log

I guess there is no blockers anymore for updating this port?
Comment 4 Romain Tartière freebsd_committer 2017-12-13 08:15:23 UTC
Created attachment 188801 [details]
Up-to-date update to 3.26.0

A new translation was missing in the submitter patch.  Fixed patch attached.

Build log available here:
https://packages.blogreen.org/data/11_1_RELEASE_amd64-default/2017-12-13_09h12m01s/logs/gitg-3.26.0.log
Comment 5 Hiroki Tagato freebsd_committer 2018-01-08 08:11:14 UTC
Hi Koop,

Could you commit the update patch to the tree?
That unbreaks the port and I've been using 3.26.0 successfully for a while.

Thanks,
Hiroki Tagato
Comment 6 Hiroki Tagato freebsd_committer 2018-01-16 12:10:19 UTC
Created attachment 189791 [details]
An updated patch to 3.26.0 (diff against r459165)
Comment 7 Hiroki Tagato freebsd_committer 2018-01-16 12:15:38 UTC
Created attachment 189792 [details]
A poudriere testport log (releng/11.1 amd64)
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2018-01-16 14:11:44 UTC
libgit2 and libgit2-glib are already updated in ports effectively breaking current gitg version in ports, so update is required to fix the build.

I'll take it.
Comment 9 Hiroki Tagato freebsd_committer 2018-01-20 11:16:46 UTC
(In reply to Ruslan Makhmatkhanov from comment #8)

Hi rm@,

Thanks for picking this up!
I will look forward to an update.

Thanks,
Hiroki Tagato
Comment 10 commit-hook freebsd_committer 2018-01-22 09:13:29 UTC
A commit references this bug:

Author: rm
Date: Mon Jan 22 09:12:49 UTC 2018
New revision: 459639
URL: https://svnweb.freebsd.org/changeset/ports/459639

Log:
  devel/gitg: unbreak by updating to 3.26.0

  Current version of libgit2 and libgit2-glib in ports were not supported by
  gitg 3.24, so update this port to 3.26 to fix the breakage.

  PR:		221783
  Submitted by:	rozhuk.im@gmail.com (original patch)
                  romain (intermediate patch)
                  Hiroki Tagato <tagattie@yandex.com> (committed patch)
  With hat:       gnome

Changes:
  head/devel/gitg/Makefile
  head/devel/gitg/distinfo
  head/devel/gitg/pkg-plist
Comment 11 Ruslan Makhmatkhanov freebsd_committer 2018-01-22 09:15:50 UTC
Committed, thank you all for the patches!